Create a service annotation

Base URL
https://{kibana_url}
Auth

Create a new annotation for a specific service.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

serviceName string required

The name of the service

Header parameters

elastic-api-version enum · default: 2023-10-31 required

The version of the API to use

Values: 2023-10-31
kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

@timestamp string required

Timestamp

message string

Message

service object required

Service

environment string
version string required
tags string[]

Tags

Responses

Annotation created successfully

application/json
_id string

Identifier

_index string

Index

Base URL
https://{kibana_url}